#ifndef __APP_H1__
#define __APP_H1__

#include "uipopt.h"

void ej1_3_init(void);
void ej1_appcall(void);

struct app_state1 {
  u8_t state;
  char *msg;
  u16_t msglen;
  u16_t sentlen, textlen;
  u16_t sendptr;

};


#ifndef UIP_APPCALL
#define UIP_APPCALL     ej1_appcall
#endif

#ifndef UIP_APPSTATE_SIZE
#define UIP_APPSTATE_SIZE (sizeof(struct app_state1))
#endif

#endif /* __APP_H1__ */
